._mixin_control_core(
    @padding,
    @font-family,
    @font-size,
    @font-weight,
    @letter-spacing,
    @text-transform
) {
    padding: @padding;
    font-family: @font-family;
    font-size: @font-size;
    font-weight: @font-weight;
    letter-spacing: @letter-spacing;
    text-transform: @text-transform;
}

._mixin_control_color (
    @color,
    @color_hover,
    @color_focus
) {
    & {
        color: @color;
    }
    &:hover {
        color: @color_hover;
    }
    &:focus {
        color: @color_focus;
    }
}

._mixin_control_bg (
    @bg,
    @bg_hover,
    @bg_focus
) {
    & {
        background-color: @bg;
    }
    &:hover {
        background-color: @bg_hover;
    }
    &:focus {
        background-color: @bg_focus;
    }
}

._mixin_control_border (
    @border-width,
    @border-style,
    @border-color,
    @border-color_hover,
    @border-color_focus
) {
    & {
        border: @border-width @border-style @border-color;
    }
    &:hover {

        border-color: @border-color_hover;
    }
    &:focus {
        border-color: @border-color_focus;
    }
}
